Subject: Re: bug#11264: 23.4; shell-script-mode highlighting (coloring) bugs for bash and zsh

From: Vincent Lefevre <[email-masked]>
Date: Wed, 21 Aug 2019 15:11:23 +0200

This bug still occurs.

Concerning the incorrect highlighting of the first x, it seems that
something that precedes a = character, possibly with spaces between
will be highlighted. There is no reason for that. This is not an
assignment.

Examples:

true a = b
a = b

where "a" is highlighted (in the second case, this is the command "a"
with the arguments "=" and "b", still not an assignment).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)